Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.dtdparser.document
Class AbstractDTDDocumentBuilder

    java.lang.Object
      |
      +--com.japisoft.dtdparser.document.AbstractDTDDocumentBuilder

All Implemented Interfaces:
  DTDDocumentBuilder

Direct Known Subclasses:
  DefaultDTDDocumentBuilder, TraceDTDDocumentBuilder

public abstract class AbstractDTDDocumentBuilder
extends java.lang.Object
implements DTDDocumentBuilder

Abstract DTDDocumentBuilder

Version:
  1.0
Author:
  (c) 2002-2003 JAPISOFT

Field Summary

Fields inherited from interface com.japisoft.dtdparser.document.DTDDocumentBuilder
`CDATA_ATT_VAL, ENTITIES_ATT_VAL, ENTITY_ATT_VAL, FIXED_ATT, ID_ATT_VAL, IDREF_ATT_VAL, IMPLIED_ATT, INTERNAL_ENTITY, NMTOKEN_ATT_VAL, NMTOKENS_ATT_VAL, PUBLIC_ENTITY, REQUIRED_ATT, SYSTEM_ENTITY`

Constructor Summary
`AbstractDTDDocumentBuilder()`

Method Summary
`RootDTDNode` | `getRoot()`
`void` | `setNodeFactory(DTDNodeFactory factory)` Factory for building DTDNode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.japisoft.dtdparser.document.DTDDocumentBuilder
`notifyAttribute, notifyComment, notifyElementChoiceItem, notifyElementIncludeItem, notifyEntity, notifyOperator, notifyStartDTD, notifyStartElement, notifyStartElementChildren, notifyStopDTD, notifyStopElement, notifyStopElementChildren`

Constructor Detail

### AbstractDTDDocumentBuilder

    public AbstractDTDDocumentBuilder()

Method Detail

### getRoot

    public RootDTDNode getRoot()

  Specified by:
    `getRoot` in interface `DTDDocumentBuilder`
  Returns:
    the root of the DTD document

### setNodeFactory

    public void setNodeFactory(DTDNodeFactory factory)

  Description copied from interface: `DTDDocumentBuilder`
  Factory for building DTDNode

  Specified by:
    `setNodeFactory` in interface `DTDDocumentBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD